<template>
  <q-page class="q-pa-sm" style="min-height: 300px;">
    <div class="col-xs-6 col-sm-6 col-md-4 col-lg-3 col-xl-2">
    <template>
      <div class="q-pa-sm row items-center justify-center">
            <div style="padding-right: 5px;" class="col-xs-10 col-sm-5 col-md-3 col-xl-3">
              <q-input dense outlined rounded lazy-rules v-model="form.plant" label="Nombre" color="primary" :error="$v.form.plant.$error" error-message="Dato necesario">
                <q-tooltip>
                  Dato requerido *
                </q-tooltip>
              </q-input>
            </div>
      </div>
          <div>
          <div class="center">
            <vs-button
              block
              class="bg-primary"
              style="font-size: 12pt"
              @click="save"
            >
              <q-icon name="save"/> Guardar Datos
            </vs-button>
          </div>
          <br/>
          </div>
    </template>
    </div>
  </q-page>
</template>
<script>
import { required } from 'vuelidate/lib/validators'
export default {
  mounted () {
    this.$emit('setTittle', 'Nueva Planta')
    this.getInfo()
  },
  data () {
    return {
      form: {},
      id: '',
      actions: 'Guardar'
    }
  },
  validations: {
    form: {
      plant: {
        required
      }
    }
  },
  methods: {
    async save () {
      console.log(this.form)
      this.$v.form.$touch()
      if (this.$v.form.$error) {
        console.log('error')
      } else {
        this.$q.loading.show()
        if (this.id) {
          this.$api.put('plantsId/' + this.id, this.form).then(res => {})
        } else {
          this.$api.post('plants', this.form).then(res => {})
        }
        this.$q.loading.hide()
        this.$router.go(-1)
      }
    },
    back () {
      this.$router.go(-1)
    },
    getInfo () {
      this.form = {}
      this.id = this.$route.params.id
      if (this.id) {
        this.$q.loading.show()
        this.$api.get('plantsId/' + this.id).then(res => {
          this.form = res
          this.$q.loading.hide()
        })
      }
    }
  }
}
</script>
